plotMems = function()
{
	mems = read.csv("tt_mems.txt",sep="\t",header=FALSE)
	n = dim(mems)[1]
	m = dim(mems)[2]-1
	mems= mems[1:n,1:m]
	loci = 1
	while(m > 0)
	{
		if(mems[1,1]=="JC")
		{
			m    = m - 10
			mem  = array(as.numeric(as.matrix(mems[,2:10])),c(n,10))
			mems = mems[,-(1:10),drop = FALSE]
			plotJC(mem,loci)
		}
		else if(mems[1,1]=="GTR")
		{
			m    = m - 16
			mem  = array(as.numeric(as.matrix(mems[,2:16])),c(n,16))
			mems = mems[,-(1:16),drop = FALSE]
			plotGTR(mem,loci)
		}
		loci = loci + 1
	}
}

plotJC = function(mem,loci)
{
	if(mem[1,1]>1) # with Gamma Rates
	{
	}
	if(mem[1,3]>0)# with Invariant Sites
	{
	}
	par(mfrow=c(3,1))
	mn  = paste("Shape parameter of Gamma-Rates, Loci", loci)
	xlb = "Number of sampled state"
	ylb = "Shape parameter"
	plot(mem[,2],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Proportion of invariant sites, Loci", loci)
	ylb = "Proportion"
	plot(mem[,4],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Initial rate of molecular evolution, Loci", loci)
	ylb = "Substitution rate in PEM"
	plot(mem[,9],main=mn, xlab=xlb, ylab=ylb)
	par(mfrow=c(1,1))
}

plotGTR = function(mem,loci)
{
	if(mem[1,1]>1) # with Gamma Rates
	{
	}
	if(mem[1,3]>0)# with Invariant Sites
	{
	}
	par(mfrow=c(3,1))
	mn  = paste("Shape parameter of Gamma-Rates, Loci", loci)
	xlb = "Number of sampled state"
	ylb = "Shape parameter"
	plot(mem[,2],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Proportion of invariant sites, Loci", loci)
	ylb = "Proportion"
	plot(mem[,4],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Initial rate of molecular evolution, Loci", loci)
	ylb = "Substitution rate in PEM"
	plot(mem[,15],main=mn, xlab=xlb, ylab=ylb)
	par(mfrow=c(2,2))
	mn  = paste("Nucleotide A, Loci", loci)
	ylb = "Stationary distribution"
	plot(mem[,5],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Nucleotide C, Loci", loci)
	plot(mem[,6],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Nucleotide G, Loci", loci)
	plot(mem[,7],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Nucleotide T, Loci", loci)
	plot(mem[,8],main=mn, xlab=xlb, ylab=ylb)
	par(mfrow=c(3,2))
	mn  = paste("Transition rate from A to C, Loci", loci)
	ylb = "Estimated rate"
	plot(mem[,9],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Transition rate from A to G, Loci", loci)
	plot(mem[,10],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Transition rate from A to T, Loci", loci)
	plot(mem[,11],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Transition rate from C to G, Loci", loci)
	plot(mem[,12],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Transition rate from C to T, Loci", loci)
	plot(mem[,13],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Transition rate from G to T, Loci", loci)
	plot(mem[,14],main=mn, xlab=xlb, ylab=ylb)
	par(mfrow=c(1,1))
}
